Fetch opening balance
curl --request GET \
--url https://sandbox.layerfi.com/v1/businesses/{businessId}/external-accounts/{externalAccountId}/opening-balance \
--header 'Authorization: Bearer <token>'import requests
url = "https://sandbox.layerfi.com/v1/businesses/{businessId}/external-accounts/{externalAccountId}/opening-balance"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://sandbox.layerfi.com/v1/businesses/{businessId}/external-accounts/{externalAccountId}/opening-balance', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"type": "Opening_Balance",
"external_account_external_id": "0Br385JmgbTryJn8nEBnUb4A5ydv06U9Vbqqq",
"balance": 432100,
"effective_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"transaction_tags": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"key": "ExampleTagKey",
"value": "ExampleTagValue",
"dimension_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"definition_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dimension_display_name": "<string>",
"value_display_name": "<string>",
"archived_at": "2023-11-07T05:31:56Z"
}
],
"memo": "<string>",
"metadata": {
"custom_field": "value",
"any valid json": "below 1kb",
"nested": {
"meaning of life": 42,
"array": []
}
},
"reference_number": "<string>"
}
}{
"description": "<string>",
"meta": {}
}All External Accounts
Fetch opening balance
Fetches the opening balance for an external account. This is useful when verifying or reconciling the historical balance sheet.
GET
/
v1
/
businesses
/
{businessId}
/
external-accounts
/
{externalAccountId}
/
opening-balance
Fetch opening balance
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Content-Type must be set to application/json.
Path Parameters
The UUID of the business to fetch opening balance for.
The UUID of the external account to fetch opening balance for.
Response
Show child attributes
Show child attributes
⌘I